Type to search.

Patch a Deployment's resource metadata

Auth

Advanced use only. Patches the internal metadata with the given data.

Path parameters

deployment_id string required

Identifier for the Deployment

resource_kind enum required

The kind of resource

Values: elasticsearch kibana apm appsearch enterprise_search integrations_server
ref_id string required

User-specified RefId for the Resource (or '_main' if there is only one)

Request body

The data that should be patched into the metadata.

Type: string

Responses

The resource metadata was successfully changed (the updated JSON is returned)

application/json

Response Type: string

Response headers

x-cloud-resource-version string

The resource version, which is used to avoid update conflicts with concurrent operations

x-cloud-resource-created string

The date-time when the resource was created (ISO format relative to UTC)

x-cloud-resource-last-modified string

The date-time when the resource was last modified (ISO format relative to UTC)